bug fixes and changes. from DEMO Versions

- projectiles now take stamina
- goro and shao kahn have crouch sprites
- cyrax's bombs no longer hurt on contact, but has a more powerful explosoin
- fixed the F key sidekick button script so that it works in online play
- this version includes the MEDALDEF features that come with zandronum 3.2
- X-Ray Meter now passivly builds up over time
- Rain's Back Special now fires a thunderball, and his combos now invlove more water
- Stryker has been buffed, and his UpperCut combo now invoes the GLOCK
- Monsters in the Moster mod now have reduced health
- the cooldown for the special back move has been doubled to give the player more time to preform the move
- Removed MEDALDEF features indefinitely until Zandronum 3.2 Stable is released


- Scorpion's saw combo no longer loops in on it'self
- Scorpoin's swords now use a diffrent sound effect when swinging.
- Added new garaphics for Shao Kahn taken from various other mods, and sprite artists (see credits lump)
to add a kick attack for shao that binds to the F key and the knucke cracking animation for Shao's Xray animation.
- Kahn now has the F bind kick.

-Cyrax's net does less damage but now slows other players for 4 sec.
-Cyrax's bombs now do less damage and have a smaller radius
-Goro's Altfire has been nerfed
-nerfed Rain's Saw Attack
-Kahns Xray Kuckle Crack animation is slower

-Cyrax's net no longer seeks, slows people less, and also the slow effect lasts
for 1 less second.
-sub zero's SawAttack is now the IceBomb ability from UMKDZ, and as such
spreads ice spikes around in a radious instead of the hammer, witch spread
in a line.
-SubZero's Ice Clone now does 15 Damage.
-Kahns Xray Kuckle Crack animation is slower
-Khan's taunt on his bfg weapon is fixed and is now an ANNOUNCER sound
-Khan's zoom is now an eye beam projectile from the arachnotron.
-Changed the Shokahn enemie's sprite names from GOR2 to GORK to prevent
sprite conficlts with the Gore actor in doom II

-Fixed Shao Kahn's Xray not jumping to his xray state when in the Sepecial move state
-Cyrax's Uppercut Jump State takes priority over his Bomb attack in code, this way you can uppercut
during his bomb comob attack
- Shoa Kahn's projectile attacks are now nerfed, consumes more stamina as to be less spammy.
- Super Demon's pain state has been bumped up to 70

- Fixed Sub Zero's Ice hammer animation.
- Rain's SawAttack state has now been nerfed to consume inventory Tokens


- Goro now has a Decapitated death animation when he dies from an uppercut attack.
- Goro now has a kick attack and the kick attack's animation.
- Nerfed Shoa Kahn's jump dive attac
- goro now has a melee attack with his fist that leeches health.

- cyrax now combos into th net, and his bomb no longer bonces on actors.
- sho kahn's ZOOM and Special attack has been swapped, and buffed the hammer. moved zoom to reload attack
- rain's water jet can no longer be held down
- goro and sho kahn's special attack are now tied to stamina.
- buffed gera's mystic hour glass combo, making it faster and do 1 more point of damage.
- changed raidens special lunge move to his reload, tied it to stamina and  nerfed it
- changed raidens proejctile attack his finger spart attack
- raidens special attack now fires the spark, spark has been buffed.

- reduced raiden's lunge attack is now on cooldown
- FIXED kotal kahn's crouch sprites and NERFED his Special ( special nerfed from 30 to 7 damage)
- Doubled drop kick attack damage

==============

INDEV POST DEMO
Beta 1 - 3
- added new token and actor state in cyrax fists along with a new bulletpuff, adding a new combo to cyrax's saw that throws the net.
- cyrax's uppercut combo now throws 3 weak bombs that explode on impact or timed as part of the combo
- cyrax's saw now has the damage type "KickGore" so it now saws players in half.
- cyrax's bomb has been reverted to bouncing on actors, and buffed it's dam and redius
- cyrax's saw combo has a Refire state and now must be held down or the saw goes away, but you can hold down the saw indefiniatly
- cyrax's saw combo no long thrusts player forward
- Shao Kahn's Eye Beam consumes much less stamina
- rain's uppercut combo no longer gets caught in a loop
- rain's saw attack is on a refire and goes away when you let the go of the fire button
- ALL characters saw state have been changed, it is now on a refire state untill you let the fire state go
- optimized sektor's saw combo so to fit in line with the new changes to the saw attacks, no longer able to spam flame attack
and saw attack
- took away the change velocity actor function from ALL saw attacks so that you won't move when you spam the saw on the refire state.
- slightly color remapped Sketor's mug

- Beta 4
- Cyrax's melee combo attack now fires one Combo Bomob that explodes on impact as a buff to cyrax

- beta 5
- Buffed cyrax once again by adding a bomb that explodes on impact instead of the net
- reworked Kotal Kahn, nerfing his special attak and moving it to a combo attack. Melee attack and
saw attack have been swapped.

-Beta 6
- ReImplemented the MEDALDEF in the wake of release of ZAN 1.2 Beta
- Uppercuts now only blast a player away with A Blast ON IMPACT of the 
uppercut

RC1
- added Map UMKMD19 "The Deadpool"
- Stamia regenerates fasters now
- fixed issue with the shotgun replacer in the XLMON mod, wherein the shotgunner replacer
made the shotgun sound instead of the ice sound

1.0
- Buffed Sektor's flame attacks.
- buffed Cyrax's bombs by 5 pts of damage
- added Net tags to the MKSCRIPT Scripts so that they run in netplay.
=======
1.1
rc1
-Nerfed Smokes Cloud Projectile by taking off the ripper effect from the missile
-Buffed Stamina regin.
-Ripping out a players heart now heals you by 100 pts.
- Xray Meter pickups now share the health bonus sprites, colore remapped gold. instead
of the word X-RAY.
rc2
sub zero's been buffed:
- Sub-zero's ice hammer "sawcombo" has been buffed to do more damage with more damage on
two more frames with a base damage of 25 in all at minimum.
- and his melee combo attack by 2 pts of damage per frame
- and sub's ice spike by 3 pts of damage

rc3
- fixed an issue with Shao Kahn's hammer wherein his hammer was spammable despite 
your stamina being drained completely.
- Noob Saibot's Debuff Ghost Ball no longer nerfs overall damage but instead DISABLES UPPERCUT!!!
RC4
- Fixed issue wherein not all playerclassed where effected by noobs ghost ball
- Fixed issues with crouch sprites not being there or appearing in several states
for several playerclasses.
RC5
- Fixed issues with the UpperCut, a majority of the uppercuts for the charcacters wheren't
coded properly
- Noob Saibot's Ghost Ball Cloud no longer disables uppercut, but weakens uppercut, taking
away it's blast effect as long as the debuff is on effect
- once again, FINALLY fixed issues with some characters having broken melee crouch sprites.
RC6
- Cyrax's bomb radius has been buffed and the radius is now 400 map units
RC7
-Increased the ammount of stamina Shao Kahn's hammer throw uses to base 25, with berserk 15.
also now requires 50 stam to preform. Also no longer spammable
RC8
- Cyrax's net now goes a speed of 12 instead of 7
- and His bomb now does 40 dam instead of 30
- Blood Spear and Harpoon attacks from Smoke , Human Smoke, and Scorp has been nerfed
to require 25 stam and use 25 stam, 15 with berserk.
- Tremor's spike Golden Spike Ball attack is no longer spammable. requires and consumes 25 stam,
consumes 15 with berserk. only fires one ball of gold, but it does more damage now, has been buffed
to 11 dam, much like the reset of the melee pojectile attacks from other fighters.
RC9
- Changes to MAP UMKD27 are as follows:
	- changed the skybox to PITSKY instead of PORTSKY
	- added steps along the edge of the spike pits so that you can jump dash from the lower area
	to the other side of the spikepit, this is for mapflow.
RC10
- Cyrax's net now has a speed of 20, and once again tracks
- Stryker's tazer damage is now halved
- Tremor's bolder's speed has been reduced
- Tremor's Lava ball damage has been reduced from 8 to 5
RC11
- ALL Projecitle attacks are now less spammy. Projectiles now deal 7 damage from projecile attacks
and all projectile attacks now require 45 stamina and consume 45 stamina, 25 with berserk.
- Characters Special attacks now consume 45 stam, and 25 with berserk.
RC12
- Nerfed the Drop kick by half, and fixed and error with scoprion's kick being over powered
RC13
- New bell death animation added to players when killed by the bell hazard
- stamina drain while blocking has ben halved
- all maps now have have more dm spawns for a larger playerbase
V1.1 Release
- Added Heart Rip animation to Shao Kahn's fist weapon.
- Added map: UMKD28, Unholy Tribunal
- Added Heart Rip animation to Goro's fist weapon.
v1.1.1
- Map UMKD28's middle platform section has been transformed into a pit of spikes as a hazard
- Cyrax's bomb does 20+ points of damage
- Sektor's rocket is now on a 26 tic timer. NERF
- Rain's Projectile ability "reload" has been buffed to his Riptide ability.
V1.1.2
- Raiden can no longer spam his special attack, issue has been fixed.
v1.2
Beta 1
- added johnny cage to the roster
B2
- Fixed an issue with Johnny Cage's decapitated sprites not appearing due to them being named wrong in DECORATE
B3
- Added Johnny Cage's BFG attack for single player
- Fixed the rest of Johnny's Decapitate death animations for both Bullet Death and Xray ACTORS.
B4
- Imported Sprites from brutal to create stryker's Xray Ready state.
- Fixed Sektor's Missile not tracking.
- added map : UMKD30 "The Street"
B5
- added 3 new maps to the roster "the street","sacroterica", "Trilogy"
B6
- Increased the amount of tokens required for gears's melee combo attack, NERFing his Hourglass.
- Tremor's Melee Weapon combo has been nerfed.
- nerfed human smoke's melee weapon by erasing a redundant frame of animatoin tied to A CustomPunch.
- Added bright frames to johnny's shadow kick
- fixed Johnny's display name
- Melee Weapon Attacks can be held down and also canceled.
B7
- Fixed some melee sounds looping when melee attack held down
- Fixed cyrax's melee weapon attack.
- Melee attacks can no longer be exploited and will consume stamina unless canceled before swing.
- Tremor's "Tremor" saw attack now stops and leads into a crystal attack combo.
- Finnaly fixed Tremmor's rock hammer animation
- Removed all Inventory tokens from Deselect state on all characters, so that hopefully the
controls don't lock up, perhapse fixing a servere glitch wherein none of the decorate or acs fucntions
would work.
RC1
- Geras' hour glass has projectiles have been nerfed by 20 speed and 1 pt of damage
- Geaas' Saw combo now combos into a new attack that summons sand and sand spikes from the ground, instead
of the hourglass.
1.2.1 Hotfix
- Fixed an issue with subzero's ice axe not working by adding 1 tic to a frame of animation
- Fixed an issue with Human Smokes Melee animation
1.3 Hotfix Udpate
- Finished fixing ALL Melee Weapon attacks, including most notably johnny cage's busted shadow kick,
melee animations not working properly due to 1 tic frames, and also some other issues with the melees
that where overlooked and untested properly.
- goro starts with 100 stamina now
1.4 - BFG balances
- Tremor's Stilagtite attack now does more aoe damage
- Sektor's BFG Missile now tracks enemies
- Noob's Telefrag Attack now fires a bfg ball.
- Kotal Kahn's bfg Light Beam projectile now explosive.
Features:
- XLMON1.3 will include a new monster to replace the cacodemon, witch is the evil monk.
- Color Remapped the Pain Elemental Sprites
Nerfs:
- After ripping out a monster's heart in the MKMON1.4 monster mod, you will loose Xray after ONE heart rip.
1.4.1
Nerfs:
- Gears' Melee Weapon attack no longer does Xray Damage AKA his the MetalClank actor puff.
- Kotal's Melee Weapon Attack AKA the PowerPuff actor no longer does Xray Damage.
- Reduced the damage of johnny's red shadow kick by a factor  1 - 3 instead of 
4 base damage.
- Johnny's shadow kick to do a factor of 1- 3 damage instead of 1-4 damage.
- Nerfed Raiden's lunge attack to do a factor of 1 -3 damage.
Buffs:
- Re-Buffed Geras' BFG Projectile to do 4 damage.
- Geras' combo attack has been buffed, one of the sand projectiles always faces in front of you, hitting a 
target in front of you, and it does triple damage. however other two projecitles have been taken away.
- Added more Lunge attacks to the missile attack to more enemies such as the ONI, Linkuie Foot Soidler and 
- all monsters in the monster mod now do more melee damage and are more agressive
- Assassin enemy is faster but has no projectiles, does more melee damage like the rest of the eneimes
Shokahn eneimes.
- Buffed the shokan enemy by 100 pts of health.
- Kotal kahn's melee attack does damage on 3 frames now, and reducd base damage to 2 instead of 3.
so damage value can do up to 18 pts of lifesteal damage and healing.
- ONI enemy's health buffed from 80 to 150
Other Changes:
- Optimized the Ready state for all character's fist states, making stamina smoother, courtacy of "nomi".
- Optimized the MKSCRIPT script that handles the stamina and xray give, courtacy of "nomi"
Features:
- MAP UMKD34: "Temple" added to the mapset.
1.4.2
DREO FIX:
- Fixed a bug wherein if you died the "bomb combo" script would keep running locking up your fist weapon in online play
- Added a new hud compatibile with the zdoom hud mode
"bugfixed and patched by dreo!"

V_1.5

- Added T-1000 To the roster in commemoration of the addition of T-1000 in Mortal Kombat 1
- Fixed Johnny's taunt not being loud enough.
- added Map UMKD35 "Steel Mill (Terminator Arena 3.0)"
- added Map UMKD36 "Canal Chase (Terminator Arena 3.0)"
beta 2
- T1000 fist now remove the Tcombo inventory tokens in the deselect state, hopefully fixing the
Xray bug.
- ADDED new sprite animation to T-1000's kick attacks, via an edit of the Brutal DOOM sprites.
- Scripts no longer work unless player is alive via dreo's Bugfix code.
beta 3
- NERFED johnny's shodow kick by 5 pts of damage on one of the frames, both his red and green shadow kick.
- Removed redudant T1000 sprite fist frames from the pk3, then replaced them in code with jonny's fist frames.
- buffed T-1000's hook attack from 3pts per damage tic to 4 of damage.
- T-1000's hook uppercut auto combo requires less tokens to activate.
- Reptile's Melee Combo attack has been buffed from  3pts per damage tic to 4 of damage.
beta 4
- ADDED the Vulken playerclass from the mod Penance to the roster.
beta 5
- fixed the Vulken's fist tag to say "Skeleton fists" instead of "Memetic PollyAlloy"
-NERFED Dropkicking, it now consumes 30 stamina
- Berserk now replaced in code with another berserk replacer that gives 150 stamina in addition to healing the player and giving
PowerStrength
- fixed a few frames on the vulken playerclass's Xray Death animation.
beta 6
- T1000's melee combo attack now ueses "A_Saw" to pull in enimies instead "A_Custompunch"
1.5.1
- vulk's hammer has been NERFED to be about the same strenght as the other back special projectiles from
the other charcters, doing 12 dam on hit, and 9 base dam on hit of a bouncing hammer.
- MKIIScorp's Back Special now consumes 75 stamina, 50 with bersrek.
- changed the T1000's kick sprites from a blob of liquid metal to proper kick sprites.
- added xray death to Goro and Shao kahn, they now give Hearts after death animation.
- fixed an issue with Johnny's Xray Death animatoin sprites.
1.5.2
- gear's sand wall attack does less explosive damage now.
- FIXED an issue with some of T1000's arm blade sprite frames' sprite names where named wrong.
- FINALLY fixed the issue with sub zero's ice death function that would cause player's special move functions to stop working
(Upon ice death, the player spawns another actor that is effected by the ice death function.)
1.5.2.1
- t1000 BUFF. HOOK UPPERCUT and Uppercut Combo now spawns liquid metal spikes on the ground.
=================================== IDGAMES =======================================
1.6 idgames update
- removed map01 "enteryway to kombat" 
- changed the name of the flat GRNROCK.png to UMKD and programed it to be as the boarder flat in MAPINFO.
- BUFFED T1000, Memetic spike prjectiles now stay on the ground loner, Hook uppercut now spawn more spikes, and
no loner require you to hit your opponent in order to spawn the spikes.
- BUFF, t1000 hook Melee combo attack hooks do 1 less damage per hit, but more frames of damage.
- fixed the way the Memetic spikes spawn from T1000
- BUFF Hook uppercut now requires half of the ammout of hits landed to invoke move.
- NERFED Jonny's shadow kick from doing 1 X a factor of 1 to 3 damage to doing 1 X a factor of 1 to 2 dam per damage frame
- fix the MKII scorpion's fist's Stam6 issue.
- Buffed Kotal's Life Steal Melee Punch by a factor of 1-4 pts of damage from 1-3 points of damage.
- Kotal's melee combo attack now knockbacks on impact.
- graphic pass on T-1000's boot kick frames, using duke nukem 3d sprites on one of the sprite frames.
- SMOKE's Tracer back special has been nerfed, the projectile now dies after some time.
- FIXED a graphic desighn error with the cyber ninjas kick sprites.
- slight buff to reptile, his claws or "melee combo attack" now does one more frame of damage per swipe, but one less base damage.
- GORO'S jump attack lunges him at a distance 3 vertical instead of 5
- Goro's back special has been buffed, instead of jumping and spawning projectiles, he now kicks, if the kick lands it will spawn three
projectiles and knockback.
- GORO's base fist attacks now do 4 * 1-10 damage instead of 3 * 1-10, and as a result BUFFED.
- goro's life steal Melee combo attack has been BUFFED to do more base damage, form 1 to 3 damage.
- shao kahn BUFF, jump kick attack (Khan Dive) now consumes 10 stamina instead of 30.
- JOHNNY's shadow kick as been NERFED, less frames of damage output.
- fixed an issue with Shao Kahn wherein his fist would consume too much ammo, consumes 1 stamina per fist swing instead of 10
1.6.1
- nerfed MKII scorp's floor fire attack by reducing it's range on the porjecteile with A_STOP.